List charts

GET
https://api.datawrapper.de/v3/charts

Search and filter a list of your charts. The returned chart objects, do not include the full chart metadata. To get the full metadata add ?expand=true or use /v3/charts/{id}. Requires scope chart:read.

Example Request

curl --request GET \
  --url 'https://api.datawrapper.de/v3/charts?userId=12345&authorId=12345' \
  --header 'Authorization: Bearer <YOUR_TOKEN_HERE>'# 13 more query parameters available — see below.

Query Parameters

NameTypeAllowed valuesRequiredDescription
userIdintegerinteger, allor me NoUser id of visualization author
authorIdintegerinteger, allor me NoUser id of visualization author
publishedbooleanAny NoFlag to filter results by publish status
searchstringAny NoSearch for charts with a specific title.
folderIdintegerintegeror null NoList visualizations inside a specific folder
teamIdstringAny NoList visualizations belonging to a specific team. Use teamId=null to search for user visualizations not part of a team
workspacestringAny NoList visualizations belonging to a specific workspace
orderstringASCor DESC
Default: DESC
NoResult order (ascending or descending)
orderBystring^custom_[a-zA-Z0-9-_]+$, authorId, author, createdAt, lastEditStep, lastModifiedAt, publishedAt, title, type, locale, teamId, chartId, theme, deletedAtor deletedBy No
limitinteger
1 to 500
Default: 100
NoMaximum items to fetch. Useful for pagination.
offsetinteger
0 or more
Default: 0
NoNumber of items to skip. Useful for pagination.
minLastEditStepinteger
0 to 5
NoFilter visualizations by the last editor step they've been opened in (1=upload, 2=describe, 3=visualize, etc)
expandboolean
Default: false
NoWhen set to true, the response includes additional properties such as visualization metadata.
openCommentsboolean
Default: false
NoInclude open comments count
deletedboolean
Default: false
NoOnly return deleted charts in the response

Response

FieldTypeRequiredDescription
listobject[]No
list.idstringNoID of the visualization
list.titlestringNoTitle of the visualization
list.publicIdstringNoPublic ID of the visualization. May be different from the internal ID, if *hash publishing* is enabled.
list.authorIdintegerNoID of user that created the visualization.
list.organizationIdstringNoID of the team that the visualization is located in. If null, visualization is private.
list.folderIdintegerNoID of the folder that the visualization is located in. If null, visualization is in the root of a team, or your private archive.
list.folderobjectNo
list.folder.namestringNoUser-defined folder name
list.languagestringNoVisualization language (output locale), e.g en-US
list.themestringNoID of theme applied to the visualization
list.typestringNoType of visualization, e.g d3-lines, d3-maps-choropleth, tables
list.createdAtstringNoTime and date when the visualization was created.
list.lastModifiedAtstringNoTime and date when the visualization was last edited.
list.publishedAtstringNoTime and date when the visualization was last published. null, if the visualization has not been published yet.
list.lastEditStepintegerNoA number encoding which of the editor steps this chart has been edited in so far. 5 = published.
list.publicVersionintegerNoIndicates how many times a visualization has been published.
list.publicUrlstringNoURL of published visualization.
list.authorobjectNo
list.author.namestringNoName of the user who created the visualization
list.author.emailstringNoEmail address of the user who created the visualization
list.author.avatarstringNoURL pointing to the user avatar
list.author.colorstringNoColor chosen by the user
list.thumbnailsobjectNo
list.thumbnails.fullstringNoURL pointing to the most recently generated preview thumbnail for the visualization. (Image includes header & footer).
list.thumbnails.plainstringNoURL pointing to the most recently generated preview thumbnail for the visualization. (Image is just the visualization, without header & footer).
list.urlstringNoAPI URL for the visualization, can be used to retreive additional information, including its metadata.
list.metadataobjectNoAll of the visualization's settings.
list.guestSessionstringNoGuest session id
list.customFieldsobjectNo
list.downloadImageFilenamestringNoDownload image filename
list.downloadDataFilenamestringNoDownload data filename
list.sourceImageFilenamesobjectNoSource image filenames
list.sourceImageFilenames.pngstringNo
list.sourceImageFilenames.svgstringNo
list.sourceImageFilenames.pdfstringNo
list.readonlyKeysstring[]No
list.openCommentsintegerNoNumber of comments on the visualization
list.workspaceTeamSettingsobjectNoFrontend-allowed team and workspace settings
list.workspacestringNo
list.deletedbooleanNoIndicates if the visualization is in the trash.
list.deletedAtstringNoTime and date when the visualization was moved to the trash.
list.deletionInDaysnumberNoNumber of days until the visualization will be permanently deleted.
list.deletedByobjectNoUser who moved the visualization to the trash.
list.deletedBy.namestringNoName of the user who moved the visualization to the trash.
list.deletedBy.emailstringNoEmail address of the user who moved the visualization to the trash.
list.deletedBy.avatarstringNoURL pointing to the user avatar
list.deletedBy.colorstringNoColor chosen by the user
totalintegerNo
nextstringNo